io.agora.rtc

## Class TranscodingUser

- java.lang.Object
- - io.agora.rtc.TranscodingUser

-     public class TranscodingUser
      extends java.lang.Object

  User configuration for transcoding.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `alpha` Alpha value
    `private int` | `audioChannel` Audio channel
    `private int` | `height` Height (px)
    `private int` | `uid` User ID
    `private java.lang.String` | `userId` User ID string
    `private int` | `width` Width (px)
    `private int` | `x` X coordinate
    `private int` | `y` Y coordinate
    `private int` | `zOrder` Z-order

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranscodingUser()` Default constructor for TranscodingUser.
    `TranscodingUser(int uid, java.lang.String userId, int x, int y, int width, int height, int zOrder, double alpha, int audioChannel)` Constructs TranscodingUser with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAlpha()` Gets the alpha value.
    `int` | `getAudioChannel()` Gets the audio channel.
    `int` | `getHeight()` Gets the height (px).
    `int` | `getUid()` Gets the user ID.
    `java.lang.String` | `getUserId()` Gets the user ID string.
    `int` | `getWidth()` Gets the width (px).
    `int` | `getX()` Gets the X coordinate.
    `int` | `getY()` Gets the Y coordinate.
    `int` | `getZOrder()` Gets the z-order.
    `void` | `setAlpha(double alpha)` Sets the alpha value.
    `void` | `setAudioChannel(int audioChannel)` Sets the audio channel.
    `void` | `setHeight(int height)` Sets the height (px).
    `void` | `setUid(int uid)` Sets the user ID.
    `void` | `setUserId(java.lang.String userId)` Sets the user ID string.
    `void` | `setWidth(int width)` Sets the width (px).
    `void` | `setX(int x)` Sets the X coordinate.
    `void` | `setY(int y)` Sets the Y coordinate.
    `void` | `setZOrder(int zOrder)` Sets the z-order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

      User ID

    - #### userId

          private java.lang.String userId

      User ID string

    - #### x

          private int x

      X coordinate

    - #### y

          private int y

      Y coordinate

    - #### width

          private int width

      Width (px)

    - #### height

          private int height

      Height (px)

    - #### zOrder

          private int zOrder

      Z-order

    - #### alpha

          private double alpha

      Alpha value

    - #### audioChannel

          private int audioChannel

      Audio channel

  - ### Constructor Detail

    - #### TranscodingUser

          public TranscodingUser()

      Default constructor for TranscodingUser.

    - #### TranscodingUser

          public TranscodingUser(int uid,
                                 java.lang.String userId,
                                 int x,
                                 int y,
                                 int width,
                                 int height,
                                 int zOrder,
                                 double alpha,
                                 int audioChannel)

      Constructs TranscodingUser with all parameters.
      Parameters:
        `uid` - User ID
        `userId` - User ID string
        `x` - X coordinate
        `y` - Y coordinate
        `width` - Width (px)
        `height` - Height (px)
        `zOrder` - Z-order
        `alpha` - Alpha value
        `audioChannel` - Audio channel

  - ### Method Detail

    - #### getUid

          public int getUid()

      Gets the user ID.
      Returns:
        User ID

    - #### setUid

          public void setUid(int uid)

      Sets the user ID.
      Parameters:
        `uid` - User ID

    - #### getUserId

          public java.lang.String getUserId()

      Gets the user ID string.
      Returns:
        User ID string

    - #### setUserId

          public void setUserId(java.lang.String userId)

      Sets the user ID string.
      Parameters:
        `userId` - User ID string

    - #### getX

          public int getX()

      Gets the X coordinate.
      Returns:
        X coordinate

    - #### setX

          public void setX(int x)

      Sets the X coordinate.
      Parameters:
        `x` - X coordinate

    - #### getY

          public int getY()

      Gets the Y coordinate.
      Returns:
        Y coordinate

    - #### setY

          public void setY(int y)

      Sets the Y coordinate.
      Parameters:
        `y` - Y coordinate

    - #### getWidth

          public int getWidth()

      Gets the width (px).
      Returns:
        Width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the width (px).
      Parameters:
        `width` - Width (px)

    - #### getHeight

          public int getHeight()

      Gets the height (px).
      Returns:
        Height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the height (px).
      Parameters:
        `height` - Height (px)

    - #### getZOrder

          public int getZOrder()

      Gets the z-order.
      Returns:
        Z-order

    - #### setZOrder

          public void setZOrder(int zOrder)

      Sets the z-order.
      Parameters:
        `zOrder` - Z-order

    - #### getAlpha

          public double getAlpha()

      Gets the alpha value.
      Returns:
        Alpha value

    - #### setAlpha

          public void setAlpha(double alpha)

      Sets the alpha value.
      Parameters:
        `alpha` - Alpha value

    - #### getAudioChannel

          public int getAudioChannel()

      Gets the audio channel.
      Returns:
        Audio channel

    - #### setAudioChannel

          public void setAudioChannel(int audioChannel)

      Sets the audio channel.
      Parameters:
        `audioChannel` - Audio channel